Loading...
Searching...
No Matches
Buffer Set Utilities
Globus GSSAPI » GSSAPI Extensions

Buffer Set Utilities. More...

## Functions

OM_uint32 GSS_CALLCONV | gss_create_empty_buffer_set (OM_uint32 *minor_status, gss_buffer_set_t *buffer_set)
| Create a empty buffer set.
OM_uint32 GSS_CALLCONV | gss_add_buffer_set_member (OM_uint32 *minor_status, const gss_buffer_t member_buffer, gss_buffer_set_t *buffer_set)
| Add a buffer to a buffer set.
OM_uint32 GSS_CALLCONV | gss_release_buffer_set (OM_uint32 *minor_status, gss_buffer_set_t *buffer_set)
| Free a Buffer Set.

## Detailed Description

Buffer Set Utilities.

Functions in this group provide utilities for creating, modifying, and freeing a buffer set.

## Function Documentation

## gss_add_buffer_set_member()

OM_uint32 GSS_CALLCONV gss_add_buffer_set_member | ( | OM_uint32 * | minor_status,
|  | const gss_buffer_t | member_buffer,
|  | gss_buffer_set_t * | buffer_set )

Add a buffer to a buffer set.

This function allocates a new gss_buffer_t, initializes it with the values in the member_buffer parameter.

Parameters

  minor_status | The minor status returned by this function. This parameter will be 0 upon success.
  member_buffer | Buffer to insert into the buffer set.
  buffer_set | Pointer to a initialized buffer set structure.

Return values

  GSS_S_COMPLETE | Success
  GSS_S_FAILURE | Failure

See also
  gss_create_empty_buffer_set
  gss_release_buffer_set

## gss_create_empty_buffer_set()

OM_uint32 GSS_CALLCONV gss_create_empty_buffer_set | ( | OM_uint32 * | minor_status,
|  | gss_buffer_set_t * | buffer_set )

Create a empty buffer set.

This function allocates and initializes a empty buffer set. The memory allocated in this function should be freed by a call to gss_release_buffer_set.

Parameters

  minor_status | The minor status returned by this function. This parameter will be 0 upon success.
  buffer_set | Pointer to a buffer set structure.

Return values

  GSS_S_COMPLETE | Success
  GSS_S_FAILURE | Failure

See also
  gss_add_buffer_set_member
  gss_release_buffer_set

## gss_release_buffer_set()

OM_uint32 GSS_CALLCONV gss_release_buffer_set | ( | OM_uint32 * | minor_status,
|  | gss_buffer_set_t * | buffer_set )

Free a Buffer Set.

This function will free all memory associated with a buffer set. Note that it will also free all memory associated with the buffers int the buffer set.

Parameters

  minor_status | The minor status returned by this function. This parameter will be 0 upon success.
  buffer_set | Pointer to a buffer set structure. This pointer will point at a NULL value upon return.

Return values

  GSS_S_COMPLETE | Success
  GSS_S_FAILURE | Failure

See also
  gss_create_empty_buffer_set
  gss_add_buffer_set_member